/*
 * @(#)FFloat.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */

package jp.co.iti.fagot.fob;

/**
 * Float
 * @author  千曳秀喜
 * @version 1.01 2001/01/07
 */
public class FFloat extends FElement {

	/**
	 * コンストラクタ
	 */
	public FFloat() {
	super();
	}

	/**
	 * コンストラクタ
	 */
	public FFloat(float data) {
	super( new Float(data) );
	}

	/**
	 * コンストラクタ
	 */
	public FFloat( Float data ) {
	super(data);
	}

	/**
	 * コンストラクタ
	 */
	public FFloat( FFloat data ) {
	super();
	set(data);
	}

	/**
	 * 値の取得
	 */
	public float get() {
	return ( (isNull())?0:((Float)getData()).floatValue() ) ;
	}

	/**
	 * 値の設定
	 */
	public void set(float data) {
	setData( new Float(data) ) ;
	}

	/**
	 * 値の設定
	 */
	public void set( FFloat data) {
	setData( data.getData() ) ;
	}

	//## CLONE ########################################################
	/**
	 * 複製インスタンスの作成
	 * 各実現クラスにおいてインスタンスを生成する
	 * 仮想クラス（およびインスタンス化されないクラス）ではnullを返す
	 */
	public Object createClone() {
	return new FFloat();
	}
}
